<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="CART">
<div class="pageContent" align="left"><xsl:value-of select="@CART_NAME"/></div>
<form name="cart" method="post" action="index.php" onSubmit="return false;">
<xsl:apply-templates select="HIDDEN"/>
<table cellspacing='0' cellpadding='2' width="100%" border="0">
<tbody>
<tr> 
<td class="Cart_formfieldcolorfirst" style="width: 70px;">
&#160;
</td>
<td class="Cart_formfieldcolorfirst" style="width: 170px;">
<xsl:value-of select="@NAME"/>
</td>
<td class="Cart_formfieldcolorfirst"  align="right">
<xsl:value-of select="@QUANTITY"/>
</td>
<td class="Cart_formfieldcolorfirst" align="right">
<xsl:value-of select="@PRICE"/>    
</td>
<td class="Cart_formfieldcolorfirst" style="width: 30px; padding-left:10px;" >
<xsl:value-of select="@REMOVE"/>    
</td>
</tr>
<xsl:for-each select="CART_PRODUCT">
<xsl:apply-templates select="."/>
</xsl:for-each>
<tr><td colspan="4" align="right" class="pageContent"><b><xsl:value-of select="@TOTAL"/>:&#160;<xsl:value-of select="COST"/></b></td><td>&#160;</td></tr>
</tbody>
</table>
<table width="100%"  class="topborder">
<tr>
<td class="pageContent">
<xsl:apply-templates select="BOTTOM_NAV"/>
</td>
<td class="shop_button" align="right">
<nobr>
<xsl:for-each select="BUTTON">
<xsl:apply-templates select="."/>
<xsl:if test="position()!=last()">&#160;&#160;</xsl:if>
</xsl:for-each>
</nobr>
</td>
</tr>
</table>
</form>
</xsl:template> 

<xsl:template match="CART_PRODUCT">
<tr>
<xsl:attribute name="class">
<xsl:choose>
<xsl:when test="@NUMBER mod 2 = 0">tr_even</xsl:when>
<xsl:otherwise>tr_odd</xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<td>
<xsl:if test="IMAGE">
<a>
<xsl:attribute name="href"><xsl:value-of select="HREF"/></xsl:attribute>
<img border="0" style="cursor:pointer;">
<xsl:attribute name="src"><xsl:value-of select="IMAGE/."/></xsl:attribute>
<xsl:attribute name="width"><xsl:value-of select="IMAGE/@WIDTH"/></xsl:attribute>
<xsl:attribute name="height"><xsl:value-of select="IMAGE/@HEIGHT"/></xsl:attribute>
</img>
</a>
</xsl:if>
</td>
<td class="pageContent" style="text-align:left;">
<a>
<xsl:attribute name="style">
<xsl:choose>
<xsl:when test="@NUMBER mod 2 = 0">color:black;</xsl:when>
<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:attribute name="href"><xsl:value-of select="HREF"/></xsl:attribute>
<xsl:value-of select="NAME"/>
</a>
</td>
<td class="shop_formfield" align="right">
<input type="text" maxlength="4" Size="4" style="width:30pt;">
<xsl:attribute name="name">quantity_<xsl:value-of select="@ID"/></xsl:attribute>    
<xsl:attribute name="value"><xsl:value-of select="QUANTITY"/></xsl:attribute>    
</input>
</td>
<td  class="pageContent" align="right" nowrap="true">
<xsl:attribute name="style">
<xsl:choose>
<xsl:when test="@NUMBER mod 2 = 0">color:black;</xsl:when>
<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:attribute>
<xsl:value-of select="PRICE"/>
</td>
<td align="center">
<input type="checkbox" id="check_products" name="check_products[]">
<xsl:attribute name='value'><xsl:value-of select="@ID"/></xsl:attribute>
</input>
</td>
</tr>
</xsl:template>

<xsl:template match="PRINT_VERSION">
<html><body>
<style>.pageContent{font-size: 11px;font-family: Tahoma;}</style>
<div name="cart_div" style="border-style: solid; border-color: #8494A0; border-width: 1px; width: 100%; overflow-y: auto; overflow-x: auto; overflow: auto; padding: 3px;">
<table width="100%">
<tr>
<td width="50%" class="pageContent">
<b><xsl:value-of select="SHOP_ORDER_ID/@TITLE"/> : </b><xsl:value-of select="SHOP_ORDER_ID/."/></td>
<td width="50%" class="pageContent">
<b><xsl:value-of select="CREATED_AT/@TITLE"/> : </b><xsl:value-of select="CREATED_AT/."/></td>
</tr>
<tr>
<td width="50%" class="pageContent" valign="top">
<b><xsl:value-of select="USER/NAME/@TITLE"/> : </b><xsl:value-of select="USER/NAME/."/><br/>
<b><xsl:value-of select="USER/EMAIL/@TITLE"/> : </b><xsl:value-of select="USER/EMAIL/."/><br/>
<b><xsl:value-of select="USER/PHONE/@TITLE"/> : </b><xsl:value-of select="USER/PHONE/."/><br/>
<xsl:if test="USER/COMPANY">
<b><xsl:value-of select="USER/COMPANY/@TITLE"/> : </b><xsl:value-of select="USER/COMPANY/."/><br/>
</xsl:if>
</td>
<td width="50%" class="pageContent" valign="top">
<b><xsl:value-of select="USER/ADDRESS/@TITLE"/> : </b><xsl:value-of select="USER/ADDRESS/."/><br/>
</td>
</tr>
</table>
</div>
<br/>
<xsl:apply-templates select="CART" mode="print_version"/>
</body></html>
</xsl:template>

<xsl:template match="CART" mode="print_version">
<div name="cart_div" style="border-style: solid; border-color: #8494A0; border-width: 1px; width: 100%; overflow-y: auto; overflow-x: auto; overflow: auto; padding: 3px;">
<table cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
<tr>
<td style="width: 50%; height: 25px; padding-left: 10px;" class="pageContent">
<b><xsl:value-of select="@NAME_TITLE"/></b>
</td>
<td style="width: 10%; height: 25px; padding-left: 10px; text-align: right;" class="pageContent">
<b><xsl:value-of select="@QUANTITY_TITLE"/></b>
</td>
<td style="width: 40%; height: 25px; text-align: right;padding-left: 10px;"  class="pageContent">
<b><xsl:value-of select="@PRICE_TITLE"/></b>
</td>
</tr>
<xsl:for-each select="ITEM">
<tr>
<td style="padding-left: 10px;" class="pageContent"><xsl:value-of select="NAME"/></td>
<td style="padding-left: 10px; text-align: right;" class="pageContent"><xsl:value-of select="QUANTITY"/></td>
<td style="padding-left: 10px; text-align: right;" class="pageContent"><xsl:value-of select="PRICE"/></td></tr>
</xsl:for-each>        
<tr><td colspan="3" style="padding-left: 10px;  text-align: right;" align="right"  class="pageContent"><b><xsl:value-of select="TOTAL/@TITLE"/> : </b><xsl:value-of select="TOTAL/."/></td></tr>
</tbody>
</table>
</div>
</xsl:template>

<xsl:template match="ORDER_MAIL">
<html><body>
<style>.pageContent{font-size: 11px;font-family: Tahoma;}</style>
<xsl:apply-templates select="CART" mode="print_version"/>
</body></html>
</xsl:template>

</xsl:stylesheet>
