<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="CATEGORYLIST">
<xsl:variable name="col"><xsl:value-of select="@COLUMNS"/></xsl:variable>
<div class="pageContent" style="text-align: left;"><span class="category_title"><xsl:value-of select="@TITLE"/>:</span></div>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
<xsl:for-each select="ROW">
<tr>
<xsl:for-each select="CATEGORY">
<td style="padding-top:4px; padding-right:4px; vertical-align:top; text-align: left;">
<xsl:attribute name="width"><xsl:value-of select="round(100 div $col)"/>%</xsl:attribute>
<xsl:apply-templates select="."/>
</td>
</xsl:for-each>
</tr>
</xsl:for-each>
</table>
<table cellpadding="0" cellspacing="0" class="topline" width="100%" border="0">
<tr><td width="1%">
<xsl:apply-templates select="PAGE-STRIP"/>
</td><td>&#160;</td></tr>
</table>
</xsl:template>

<xsl:template match="CATEGORY">
<table cellpadding="0" cellspacing="0">
<tr>
<xsl:if test="IMAGE">
<td valign="top" style="padding-right:5px;">
<a>
<xsl:attribute name='href'><xsl:value-of select="HREF"/></xsl:attribute>
<img border="0" style="cursor:pointer;">
<xsl:attribute name="src"><xsl:value-of select="IMAGE/."/></xsl:attribute>
<xsl:attribute name="width"><xsl:value-of select="IMAGE/@WIDTH"/></xsl:attribute>
<xsl:attribute name="height"><xsl:value-of select="IMAGE/@HEIGHT"/></xsl:attribute>
</img>
</a>
</td>
</xsl:if>
<td class="pageContent" style="padding-left:2px;"  valign="top">
<a>
<xsl:attribute name='href'><xsl:value-of select="HREF"/></xsl:attribute>
<xsl:value-of select="NAME"/>
</a>
[<xsl:value-of select="PRODUCT_COUNT"/>]
</td>
</tr>
</table>
</xsl:template>

</xsl:stylesheet>
