<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="FORM">
<form>
<xsl:attribute name='name'><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name='method'><xsl:value-of select="@METHOD"/></xsl:attribute>
<xsl:attribute name='action'><xsl:value-of select="@ACTION"/></xsl:attribute>
<xsl:attribute name='onsubmit'><xsl:value-of select="@ONSUBMIT"/></xsl:attribute>
<xsl:attribute name='target'><xsl:value-of select="@TARGET"/></xsl:attribute>
<xsl:apply-templates select="HIDDEN"/>
<xsl:apply-templates select="FIELDSET"/>
<xsl:apply-templates select="BUTTONSET"/>
</form>
</xsl:template>

<xsl:template match="FIELDSET">
<table>
<xsl:apply-templates/>
</table>
</xsl:template>

<xsl:template match="BUTTONSET">
<table>
<xsl:apply-templates select="LINK" mode="form"/>
<tr>
<td class="pageContent" align="right"><div style="width:125px;height:1px;"><spacer width="125" height="1"/></div></td>
<td class="shop_button">
<xsl:for-each select="BUTTON">
<xsl:apply-templates select="."/>
<xsl:if test="position()!=last()">&#160;&#160;</xsl:if>
</xsl:for-each>
</td>
</tr>
</table>
</xsl:template>

<xsl:template match="HIDDEN">
<input type='hidden'>
<xsl:attribute name='name'><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name='value'><xsl:value-of select="."/></xsl:attribute>
</input>
</xsl:template>

<xsl:template match="FORMFIELD">
<tr>
<td class="pageContent" align="right"><div style="width:125px;height:1px;"><spacer width="125" height="1"/></div><xsl:value-of select="@LABEL"/>:<xsl:if test="@REQ=1"><font color="red">*</font></xsl:if></td>
<td class="shop_formfield">
<input>
<xsl:attribute name='type'><xsl:value-of select="@TYPE"/></xsl:attribute>
<xsl:attribute name='name'><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:attribute name='maxlength'><xsl:value-of select="@MAXLENGTH"/></xsl:attribute>
<xsl:attribute name='value'><xsl:value-of select="."/></xsl:attribute>
</input>
</td>
</tr>
</xsl:template>

<xsl:template match="FORMSELECT">
<tr>
<td class="pageContent" align="right"><div style="width:125px;height:1px;"><spacer width="125" height="1"/></div><xsl:value-of select="@LABEL"/>:<xsl:if test="@REQ=1"><font color="red">*</font></xsl:if></td>
<td class="shop_formfield">
<select style="color:#000000;">
<xsl:attribute name='name'><xsl:value-of select="@NAME"/></xsl:attribute>
<xsl:for-each select="OPTION">
<option class="country_formfield">
<xsl:attribute name="value"><xsl:value-of select="@VALUE"/></xsl:attribute>
<xsl:if test="@SELECTED='1'">
<xsl:attribute name="selected">selected</xsl:attribute>
</xsl:if>
<xsl:value-of select="."/>
</option>
</xsl:for-each>
</select>
</td>
</tr>
</xsl:template>

<xsl:template match="LINK" mode="form">
<tr><td style="text-align: right;"><a class="pageContent">
<xsl:attribute name="href"><xsl:value-of select="@HREF"/></xsl:attribute>
<xsl:value-of select="NAME"/>
</a></td><td>&#160;</td></tr>
</xsl:template>

<xsl:template match="BUTTON">
<input type="button"> 
<xsl:attribute name="onclick"><xsl:value-of select="@ONCLICK"/></xsl:attribute>
<xsl:attribute name="value"><xsl:value-of select="NAME"/></xsl:attribute>
</input>
</xsl:template>

<xsl:template match="SUBMIT_BUTTON">
<table>
<input type="submit"> 
<xsl:attribute name="value"><xsl:value-of select="NAME"/></xsl:attribute>
</input>
</table>
</xsl:template>

<xsl:template match="IDENTIFICATION_FORM">
<xsl:for-each select="FORM">
<xsl:if test="position()!=last()">
<div class="pageContent" style="font-weight: bold; text-align: left;"><xsl:value-of select="../@REG_USER_TITLE"/>:</div>
</xsl:if>
<xsl:if test="position()=last()">
<div class="pageContent" style="font-weight: bold; text-align: left;"><xsl:value-of select="../@UNREG_USER_TITLE"/>:</div>
</xsl:if>
<xsl:apply-templates select="."/>
<xsl:if test="position()!=last()">
<hr width="100%" noshade="true" size="1"/>
</xsl:if>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>