<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:include href="cart.xsl"/>
<xsl:include href="form.xsl"/>
<xsl:include href="pager.xsl"/>
<xsl:include href="messages.xsl"/>
<xsl:include href="navigation.xsl"/>
<xsl:include href="shipping_step_1.xsl"/>
<xsl:include href="shipping_step_2.xsl"/>
<xsl:include href="shipping_step_3.xsl"/>

<xsl:include href="category_list.xsl"/>
<xsl:include href="product_list.xsl"/>

<xsl:variable name="html4.doctype">&#60;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"&#62;</xsl:variable>
<xsl:output method="xml" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="css_uri" select="''"/>
<xsl:param name="modID" select="''"/>

<xsl:template match="SHOP-PAGE">
<xsl:value-of select="$html4.doctype" disable-output-escaping="yes"/>
<HTML>
<HEAD>
<TITLE> Shop </TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<link rel="stylesheet" type="text/css"><xsl:attribute name="href"><xsl:value-of select="$css_uri"/>styles.css</xsl:attribute></link>
<link href="styles/shop.css" rel="stylesheet" type="text/css" />
<script language="javascript">
function DoWhenInit()
{
	try
	{
	    var f=this.parent.document.getElementById('<xsl:value-of select="$modID"/>');
	    f.style.height=document.body.scrollHeight;
	}
	catch(e)
	{
	}
}
</script>
<script type="text/javascript" language="javascript">
alert_str_array = new Array();
alert_str_array['firstname_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/firstname_empty" disable-output-escaping="yes"/>';
alert_str_array['lastname_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/lastname_empty"  disable-output-escaping="yes"/>';
alert_str_array['phone_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/phone_empty" disable-output-escaping="yes"/>';
alert_str_array['phone_not_valid'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/phone_not_valid" disable-output-escaping="yes"/>';
alert_str_array['email_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/email_empty" disable-output-escaping="yes" />';
alert_str_array['email_not_valid'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/email_not_valid" disable-output-escaping="yes"/>';
alert_str_array['login_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/login_empty" disable-output-escaping="yes"/>';
alert_str_array['login_included_not_valid_symbol'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/login_included_not_valid_symbol" disable-output-escaping="yes"/>';
alert_str_array['password_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/password_empty" disable-output-escaping="yes"/>';
alert_str_array['password_can_not_be_shorter_6_symbols'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/password_can_not_be_shorter_6_symbols" disable-output-escaping="yes"/>';
alert_str_array['password_includes_not_valid_symbol'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/password_includes_not_valid_symbol" disable-output-escaping="yes"/>';
alert_str_array['password_not_equal_confirmation'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/password_not_equal_confirmation" disable-output-escaping="yes" />';
alert_str_array['address_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/address_empty" disable-output-escaping="yes" />';
alert_str_array['zip_empty'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/zip_empty" disable-output-escaping="yes" />';
alert_str_array['quantity_not_valid'] = '<xsl:value-of select="//SHOP-PAGE/ALERT-STR-ARRAY/quantity_not_valid"  disable-output-escaping="yes" />';
</script>

<script type='text/javascript' language='javascript' src='js/shop.js'>void(1);</script>
</HEAD>
<body onload="DoWhenInit();" style='background-color:transparent; margin-left: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px;'>
<xsl:apply-templates/>
</body>
</HTML>
</xsl:template>

<xsl:template match="ALERT-STR-ARRAY">
</xsl:template>

</xsl:stylesheet>

