<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:include href="messages.xsl"/>
<xsl:include href="form.xsl"/>

<xsl:variable name="html4.doctype">&#60;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"&#62;</xsl:variable>
<xsl:output method="xml" indent="no"/>
<xsl:strip-space elements="*"/>

<xsl:param name="modID" select="''"/>
<xsl:param name="modHash" select="''"/>
<xsl:param name="css_uri" select="''"/>
<xsl:param name="new_pwd_alert_enter_password" select="''"/>
<xsl:param name="new_pwd_alert_enter_password_confirmation" select="''"/>
<xsl:param name="new_pwd_alert_enter_password_equal_confirmation" select="''"/>
<xsl:param name="new_pwd_alert_not_valid_symbol" select="''"/>
<xsl:param name="new_pwd_alert_can_not_be_shorter_6_symbols" select="''"/>

<xsl:template match="NEW_PASSWORD_PAGE">
<HTML>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta http-equiv="Pragma" content="no-cashe"/>
<meta http-equiv="Cache-control" content="no-cashe"/> 
<link href="styles/shop.css" rel="stylesheet" type="text/css" />
<style>
.pageContent 
{
	font-size: 12px;
	color: black;
	font-family: Tahoma, Verdana, Arial, Helvetica, sans-serif;
	text-align: right;
}

</style>
<body style='background-color:transparent; margin-left: 0px; margin-top: 0px; margin-right: 0px; margin-bottom: 0px;'>
<table height="100%" border="0" width="100%"> 
<tr>
<td align="center" valign="center">
<script type='text/javascript' language='javascript'>
function check(form){
	if (form.new_password.value.length == 0 || form.new_password.value.match(/^[\s]+$/))
	{
	   alert('<xsl:value-of select="$new_pwd_alert_enter_password"/>');
	   form.new_password.focus();
	   return false;
	}
    if (form.new_password.value.length &#60; 6)
    {
        alert('<xsl:value-of select="$new_pwd_alert_can_not_be_shorter_6_symbols"/>');
        form.new_password.focus();
        form.new_password.select();
        return false;
    }

    re = new RegExp('^[a-zA-Z0-9_]*$');
    if (!re.test(form.new_password.value))
    {
        alert('<xsl:value-of select="$new_pwd_alert_not_valid_symbol"/>');
        form.new_password.focus();
        form.new_password.select();
        return false;
    }
	if (form.new_password_confirmation.value != form.new_password.value)
	{
	   alert('<xsl:value-of select="$new_pwd_alert_enter_password_equal_confirmation"/>');
	   form.new_password_confirmation.focus();
	   form.new_password_confirmation.select();
	   return false;
	}
    return true;
}
</script>
<table>
<xsl:choose>
<xsl:when test="MESSAGE or MESSAGE_ERROR">
<tr><td colspan="2" width="300">
<xsl:apply-templates select="MESSAGE"/>
<xsl:apply-templates select="MESSAGE_ERROR"/>
</td></tr>
</xsl:when>
<xsl:otherwise>
<tr><td colspan="2"><div class="pageContent"><xsl:value-of select="@TITLE"/></div><br/></td></tr>
</xsl:otherwise>
</xsl:choose>
<xsl:apply-templates select="FORM"/>
</table>
</td>
</tr>
</table>

</body>
</HTML>

</xsl:template>
</xsl:stylesheet>
