<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="PRODUCTLIST">
<xsl:variable name="col"><xsl:value-of select="@COLUMNS"/></xsl:variable>
<table cellpadding="0" cellspacing="0"><tr><td valign="top">
<span class="pageContent"><xsl:value-of select="@CATEGORY"/>:&#160;</span> 
</td><td>
<span class="pageContent" style="font-weight: bold;"><xsl:value-of select="@CATEGORY_TITLE"/></span>
</td>
</tr>
</table>
<form method="post" action="index.php" name="catalog">
<xsl:apply-templates select="HIDDEN"/>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<xsl:for-each select="ROW">
<tr>
<xsl:for-each select="PRODUCT">
<td valign="top">
<xsl:attribute name="width"><xsl:value-of select="round(100 div $col)"/>%</xsl:attribute>
<xsl:apply-templates select="."/>
</td>
</xsl:for-each>
</tr>
</xsl:for-each>
</table>
<table>
<tr><td class="pageContent">
<xsl:apply-templates select="PAGE-STRIP"/>
</td></tr>
</table>
</form>
</xsl:template>

<xsl:template match="PRODUCT">
<table cellpadding="0" cellspacing="0" border="0" width="100%" class="topborderproduct">
<tr>
<xsl:if test="IMAGE">
<td>
<a>
<xsl:attribute name="href"><xsl:value-of select="HREF"/></xsl:attribute>
<img border="0" style="cursor:pointer; padding-right: 6px;">
<xsl:attribute name="src"><xsl:value-of select="IMAGE/."/></xsl:attribute>
<xsl:attribute name="width"><xsl:value-of select="IMAGE/@WIDTH"/></xsl:attribute>
<xsl:attribute name="height"><xsl:value-of select="IMAGE/@HEIGHT"/></xsl:attribute>
</img>
</a>
</td>
</xsl:if>
<td valign="top" class="pageContent" width="100%" style="padding-right: 6px;text-align: left;">
<a class="pageContentTextLink">
<xsl:attribute name="href"><xsl:value-of select="HREF"/></xsl:attribute>
<span style="cursor: pointer; font-weight: bold; text-align: left;"><xsl:value-of select="NAME"/><br /></span>
<span style="cursor: pointer; text-align: left;">
<xsl:value-of select="BRIEF_DESCR"/>
<xsl:if test="string(BRIEF_DESCR)"><br/></xsl:if>
<xsl:if test="not(IMAGE)">
<xsl:value-of select="PRICE"/>
</xsl:if>
</span>
</a>
</td>
</tr>
<tr>
<xsl:if test="IMAGE">
<td  class="pageContent" style="text-align: left;">
<xsl:value-of select="PRICE"/>
</td>
</xsl:if>
<td align="right" class="shop_button">
<xsl:for-each select="BUTTON">
<xsl:apply-templates select="."/>
<xsl:if test="position()!=last()">&#160;&#160;</xsl:if>
</xsl:for-each>
</td>
</tr>
</table>
</xsl:template>

<xsl:template match="PRODUCT_DETAILS">
<form method="post" action="index.php" name="catalog">
<xsl:apply-templates select="HIDDEN"/>
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<tr>
<xsl:if test="IMAGE">
<td valign="top" width="1%" style="padding-right:5px;">
<img border="0">
<xsl:attribute name="src"><xsl:value-of select="IMAGE/."/></xsl:attribute>
<xsl:attribute name="width"><xsl:value-of select="IMAGE/@WIDTH"/></xsl:attribute>
<xsl:attribute name="height"><xsl:value-of select="IMAGE/@HEIGHT"/></xsl:attribute>
</img>
</td>
</xsl:if>   
<td valign="top" class="pageContent">
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<tr>
<td class="pageContent" colspan="2" style="text-align: left;">
<span style="font-weight: bold;"><xsl:value-of select="NAME"/></span>
</td>
</tr>
<tr>
<td class="pageContent" colspan="2" style="text-align: left;">
<span>
<xsl:value-of select="DESCR"/>
<xsl:if test="string(DESCR)"><br/></xsl:if>
<xsl:if test="not(IMAGE)">
<xsl:value-of select="PRICE"/>
</xsl:if>
</span>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<xsl:if test="IMAGE">
<td class="pageContent" style="text-align: left;">
<xsl:value-of select="PRICE"/>
</td>
</xsl:if>
<td align="right" class="shop_button">
<xsl:for-each select="BUTTON">
<xsl:apply-templates select="."/>
<xsl:if test="position()!=last()">&#160;&#160;</xsl:if>
</xsl:for-each>
</td>
</tr>
</table>
</form>
<xsl:apply-templates select="LINK"/>
<br/>
</xsl:template>

</xsl:stylesheet>
