DROP TABLE IF EXISTS shop_categories
CREATE TABLE shop_categories (shop_id varchar(255) NOT NULL default '', product_count decimal(10,0) default NULL, category_id int(11) NOT NULL auto_increment,  name text, image_ext varchar(4) default NULL, image_id int(11) default NULL, PRIMARY KEY  (category_id))

DROP TABLE IF EXISTS shop_products
CREATE TABLE shop_products (category_name text NOT NULL default '', image_ext varchar(4) default NULL, name text NOT NULL default '', product_id int(11) unsigned NOT NULL auto_increment, shop_id varchar(255) NOT NULL default '', category_id int(11) unsigned NOT NULL default '0', image_id int(11) default NULL, brief_description text NOT NULL, description text NOT NULL, price double NOT NULL default 0, PRIMARY KEY  (product_id))

DROP TABLE IF EXISTS shop_settings
CREATE TABLE shop_settings (shop_id varchar(255) NOT NULL default '', name varchar(255) NOT NULL default '', setting_value text default NULL)

DROP TABLE IF EXISTS shop_design
CREATE TABLE shop_design (shop_id VARCHAR( 255 ) NOT NULL, name VARCHAR( 255 ) NOT NULL , design_value VARCHAR( 255 ))

DROP TABLE IF EXISTS shop_hashes
CREATE TABLE shop_hashes (shop_id varchar(255) NOT NULL default '',  shop_hash varchar(255) NOT NULL default '',  UNIQUE KEY shop_id (shop_id))

DROP TABLE IF EXISTS shop_users
CREATE TABLE shop_users (is_pwd_requested varchar(36) default NULL, address1 varchar(255) NOT NULL default '', address2 varchar(255) NOT NULL default '', city varchar(255) NOT NULL default '', company varchar(255) NOT NULL default '', country varchar(255) NOT NULL default '', email varchar(255) NOT NULL default '', first_name varchar(255) NOT NULL default '', last_name varchar(255) NOT NULL default '', login varchar(25) NOT NULL default '',  pwd varchar(36) NOT NULL default '', phone varchar(255) NOT NULL default '', shop_id varchar(255) NOT NULL default '', state varchar(255) NOT NULL default '', user_id int(11) unsigned NOT NULL auto_increment, zip varchar(10) NOT NULL default '', PRIMARY KEY  (user_id), UNIQUE KEY user_id (user_id))

DROP TABLE IF EXISTS shop_orders
CREATE TABLE shop_orders (shop_id varchar(255) NOT NULL default '', transation_id varchar(255) NOT NULL default '', city varchar(255) NOT NULL default '', zip varchar(10) NOT NULL default '', country varchar(255) NOT NULL default '', state varchar(255) NOT NULL default '', address2 varchar(255) NOT NULL default '', address1 varchar(255) NOT NULL default '', email varchar(255) NOT NULL default '', phone varchar(255) NOT NULL default '', company varchar(255) NOT NULL default '', last_name varchar(255) NOT NULL default '', first_name varchar(255) NOT NULL default '', order_status int(1) NOT NULL default '0', cost float NOT NULL default '0', created_date varchar(50) NOT NULL, order_id int(11) unsigned NOT NULL auto_increment, shop_order_id int(11) unsigned NOT NULL, updated_date varchar(50) NOT NULL , user_login varchar(25) NOT NULL default '', PRIMARY KEY  (order_id))

DROP TABLE IF EXISTS shop_order_contents
CREATE TABLE shop_order_contents (shop_id varchar(255) NOT NULL default '', name text NOT NULL default '', order_id int(11) unsigned NOT NULL default '0', price varchar(255) NOT NULL default '', product_id int(11) unsigned NOT NULL default '0', quantity int(10) NOT NULL default '0', KEY order_id (order_id))

DROP TABLE IF EXISTS shop_payments
CREATE TABLE shop_payments (shop_id varchar(255) NOT NULL default '', name varchar(255) NOT NULL default '', setting_value text default NULL)
