<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="DESIGN_T">
<div id="shop_edit_area" name="shop_edit_area" style="background-color: #ffffff; width: 100%; overflow: auto; height:300px;">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td style="padding-right:5px;">

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/MONETARY_UNIT_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width="100%" cellspacing='0' cellpadding='0'>
    <tr><td class='modules_design_text_design'><xsl:value-of select="//DESIGN_SETTINGS/LEGEND/MONETARY_UNIT"/>:<span class="red">*</span></td></tr>
    <tr><td>
    <input type="text" name="design[monetary_unit]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="5">
    <xsl:attribute name="value"><xsl:value-of select="//DESIGN_SETTINGS/SETTINGS/MONETARY_UNIT"/></xsl:attribute>
    </input>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/MONETARY_UNIT_LOCATION_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width='100%' cellspacing='0' cellpadding='0' border='0'>
    <tr><td class='modules_design_text_design'><xsl:value-of select="//DESIGN_SETTINGS/LEGEND/MONETARY_UNIT_LOCATION"/>:</td></tr>
    <tr><td>
    <input type="radio" name="design[monetary_unit_location]" value="0" onchange="document.forms[0].sb_changes.value=1;">
    <xsl:if test="//DESIGN_SETTINGS/SETTINGS/MONETARY_UNIT_LOCATION=0">
    <xsl:attribute name="checked">checked</xsl:attribute>
    </xsl:if>    
    </input>
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/MONETARY_UNIT_LOCATION_BEFORE"/>
    <input type="radio" name="design[monetary_unit_location]" value="1" onchange="document.forms[0].sb_changes.value=1;">
    <xsl:if test="//DESIGN_SETTINGS/SETTINGS/MONETARY_UNIT_LOCATION=1">
    <xsl:attribute name="checked">checked</xsl:attribute>
    </xsl:if>
    </input>
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/MONETARY_UNIT_LOCATION_AFTER"/>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/CATEGORYDESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <xsl:for-each select="//DESIGN_SETTINGS/CATEGORY-TEMPLATES-LIST/TEMPLATE">
    <xsl:choose>
    <xsl:when test="@SELECTED='1'">
    <div style="float:left; height: 100px; width: 95px; align: center; vertical-align: middle; padding-right: 10px;">
    <table cellspacing='0' cellpadding='0' border='0' align="center">
    <tr>
    <td>
    <img width='95' height='95' style="border-width: 1px; border-style: solid; border-color: #FF3D0C;">
    <xsl:attribute name='src'><xsl:value-of select="@ICON"/></xsl:attribute>
    <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
    <xsl:attribute name='name'><xsl:value-of select='@NAME' /></xsl:attribute>
    </img>
    </td>
    </tr>
    </table>
    </div>
    </xsl:when>
    <xsl:otherwise>
    <div style="float:left; height: 100x; width: 95px; align: center; vertical-align: middle; padding-right: 10px;">
    <table cellspacing='0' cellpadding='0' border='0' align="center">
    <tr>
    <td>
    <xsl:choose>
    <xsl:when test="//BROWSER/@NAME='Gecko'">
    <a href="javascript:void(1);">
    <img width='95' height='95'  style="cursor: pointer; border-width: 1px; border-style: solid; border-color: #606060">
    <xsl:attribute name='onclick'>document.forms[0].sb_changes.value='1';doSelectCategoryTemplate('<xsl:value-of select='@ID' />');</xsl:attribute>
    <xsl:attribute name='src'><xsl:value-of select="@ICON"/></xsl:attribute>
    <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
    <xsl:attribute name='name'><xsl:value-of select='@NAME' /></xsl:attribute>
    </img>
    </a>
    </xsl:when>
    <xsl:otherwise>
    <img width='95' height='95'  style="cursor: pointer; border-width: 1px; border-style: solid; border-color: #606060">
    <xsl:attribute name='onclick'>document.forms[0].sb_changes.value='1';doSelectCategoryTemplate('<xsl:value-of select='@ID' />');</xsl:attribute>
    <xsl:attribute name='src'><xsl:value-of select="@ICON"/></xsl:attribute>
    <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
    <xsl:attribute name='name'><xsl:value-of select='@NAME' /></xsl:attribute>
    </img>
    </xsl:otherwise>
    </xsl:choose>
    </td>
    </tr>
    </table>
    </div>
    </xsl:otherwise>
    </xsl:choose>
    </xsl:for-each>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <xsl:for-each select="//DESIGN_SETTINGS/PRODUCT-TEMPLATES-LIST/TEMPLATE">
    <xsl:choose>
    <xsl:when test="@SELECTED='1'">
    <div style="float:left; height: 100px; width: 95px; align: center; vertical-align: middle; padding-right: 10px;">
    <table cellspacing='0' cellpadding='0' border='0' align="center">
    <tr>
    <td>
    <img width='95' height='95' style="border-width: 1px; border-style: solid; border-color: #FF3D0C;">
    <xsl:attribute name='src'><xsl:value-of select="@ICON"/></xsl:attribute>
    <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
    <xsl:attribute name='name'><xsl:value-of select='@NAME' /></xsl:attribute>
    </img>
    </td>
    </tr>
    </table>
    </div>
    </xsl:when>
    <xsl:otherwise>
    <div style="float:left; height: 100px; width: 95px; align: center; vertical-align: middle; padding-right: 10px;">
    <table cellspacing='0' cellpadding='0' border='0' align="center">
    <tr>
    <td>
    <xsl:choose>
    <xsl:when test="//BROWSER/@NAME='Gecko'">
    <a href="javascript:void(1);">
    <img width='95' height='95'  style="cursor: pointer; border-width: 1px; border-style: solid; border-color: #606060">
    <xsl:attribute name='onclick'>document.forms[0].sb_changes.value='1';doSelectProductTemplate('<xsl:value-of select='@ID' />');</xsl:attribute>
    <xsl:attribute name='src'><xsl:value-of select="@ICON"/></xsl:attribute>
    <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
    <xsl:attribute name='name'><xsl:value-of select='@NAME' /></xsl:attribute>
    </img>
    </a>
    </xsl:when>
    <xsl:otherwise>
    <img width='95' height='95'  style="cursor: pointer; border-width: 1px; border-style: solid; border-color: #606060">
    <xsl:attribute name='onclick'>document.forms[0].sb_changes.value='1';doSelectProductTemplate('<xsl:value-of select='@ID' />');</xsl:attribute>
    <xsl:attribute name='src'><xsl:value-of select="@ICON"/></xsl:attribute>
    <xsl:attribute name='alt'><xsl:value-of select='@CAPTION' /></xsl:attribute>
    <xsl:attribute name='name'><xsl:value-of select='@NAME' /></xsl:attribute>
    </img>
    </xsl:otherwise>
    </xsl:choose>
    </td>
    </tr>
    </table>
    </div>
    </xsl:otherwise>
    </xsl:choose>
    </xsl:for-each>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/CATEGORIES_PER_PAGE_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width='100%' cellspacing='0' cellpadding='0' border='0'>
    <tr><td class='modules_design_text_design'><xsl:value-of select="//DESIGN_SETTINGS/LEGEND/CATEGORIES_PER_PAGE"/>:<span class="red">*</span></td></tr>
    <tr><td>
    <input type="text" name="design[categories_per_page]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
    <xsl:attribute name="value"><xsl:value-of select="//DESIGN_SETTINGS/SETTINGS/CATEGORIES_PER_PAGE"/></xsl:attribute>
    </input>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/PRODUCTS_PER_PAGE_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width='100%' cellspacing='0' cellpadding='0' border='0'>
    <tr><td class='modules_design_text_design'><xsl:value-of select="//DESIGN_SETTINGS/LEGEND/PRODUCTS_PER_PAGE"/>:<span class="red">*</span></td></tr>
    <tr><td>
    <input type="text" name="design[products_per_page]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
    <xsl:attribute name="value"><xsl:value-of select="//DESIGN_SETTINGS/SETTINGS/PRODUCTS_PER_PAGE"/></xsl:attribute>
    </input>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/CATEGORY_IMAGE_PREVIEW_HEIGHT_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width='100%' cellspacing='0' cellpadding='0' border='0'>
    <tr>
    <td width="50%" class='modules_design_text_design'>
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/CATEGORY_IMAGE_PREVIEW_HEIGHT"/>:<span class="red">*</span></td></tr>
    <tr><td nowrap="nowrap">
    <input type="text" name="design[category_image_preview_height]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
    <xsl:attribute name="value"><xsl:value-of select="//DESIGN_SETTINGS/SETTINGS/CATEGORY_IMAGE_PREVIEW_HEIGHT"/></xsl:attribute>
    </input>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/CATEGORY_IMAGE_PREVIEW_WIDTH_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width='100%' cellspacing='0' cellpadding='0' border='0'>
    <tr>
    <td class='modules_design_text_design'>
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/CATEGORY_IMAGE_PREVIEW_WIDTH"/>:<span class="red">*</span></td></tr>
    <tr><td nowrap="nowrap">
    <input type="text" name="design[category_image_preview_width]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
    <xsl:attribute name="value"><xsl:value-of select="//DESIGN_SETTINGS/SETTINGS/CATEGORY_IMAGE_PREVIEW_WIDTH"/></xsl:attribute>
    </input>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/IMAGE_PREVIEW_HEIGHT_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width='100%' cellspacing='0' cellpadding='0' border='0'>
    <tr>
    <td width="50%" class='modules_design_text_design'>
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/IMAGE_PREVIEW_HEIGHT"/>:<span class="red">*</span></td></tr>
    <tr><td nowrap="nowrap">
    <input type="text" name="design[image_preview_height]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
    <xsl:attribute name="value"><xsl:value-of select="//DESIGN_SETTINGS/SETTINGS/IMAGE_PREVIEW_HEIGHT"/></xsl:attribute>
    </input>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>

<xsl:call-template name="drawExtraField">
<xsl:with-param name="nodiv">1</xsl:with-param>
<xsl:with-param name="helpc">
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/IMAGE_PREVIEW_WIDTH_DESCR"/>
</xsl:with-param>
<xsl:with-param name="cont">
    <table width='100%' cellspacing='0' cellpadding='0' border='0'>
    <tr>
    <td class='modules_design_text_design'>
    <xsl:value-of select="//DESIGN_SETTINGS/LEGEND/IMAGE_PREVIEW_WIDTH"/>:<span class="red">*</span></td></tr>
    <tr><td nowrap="nowrap">
    <input type="text" name="design[image_preview_width]" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
    <xsl:attribute name="value"><xsl:value-of select="//DESIGN_SETTINGS/SETTINGS/IMAGE_PREVIEW_WIDTH"/></xsl:attribute>
    </input>
    </td>
    </tr>
    </table>
</xsl:with-param>
<xsl:with-param name="size">70</xsl:with-param>
<xsl:with-param name="type">arbitrary</xsl:with-param>                                        
</xsl:call-template>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('shop_edit_area');
	ResizeShop(iframedoc)
</script>
</xsl:template>
</xsl:stylesheet>