<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="PRODUCTLIST_T">
<div id="product_area" name="product_area" style="background-color: #ffffff; border-width: 1px; width: 100%; overflow:auto;">
<table cellspacing='0' cellpadding='0' width="100%">
<xsl:if test="//PRODUCTLIST/PRODUCTAMOUNT/@VALUE > 0 or string(//PRODUCTLIST/SEARCH)!=''">
<tr>
<td width="100%" >
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td nowrap="true" width="1%">
<span class="strong"><xsl:value-of select="//PRODUCTLIST/LEGEND/SEARCH_IN" /></span>&#160;
</td>
<td style="padding-right:10px;">
<select name="search_in" class='modules_formfield'>

<option value="all">
<xsl:value-of select="//PRODUCTLIST/LEGEND/EVERYWHERE" />
</option>

<option value="name">
<xsl:if test = "//PRODUCTLIST/SEARCH_IN='name'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//PRODUCTLIST/LEGEND/NAME" />
</option>

<option value="category">
<xsl:if test = "//PRODUCTLIST/SEARCH_IN='category'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//PRODUCTLIST/LEGEND/CATEGORY" />
</option>

<option value="brief_description">
<xsl:if test = "//PRODUCTLIST/SEARCH_IN='brief_description'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//PRODUCTLIST/LEGEND/BRIEF_DESCRIPTION" />
</option>

<option value="description">
<xsl:if test = "//PRODUCTLIST/SEARCH_IN='description'">
<xsl:attribute name = "selected">true</xsl:attribute>
</xsl:if>
<xsl:value-of select="//PRODUCTLIST/LEGEND/DESCRIPTION" />
</option>

</select>

</td>
<td width="50%" style="padding-right:10px;">
<input type='text' id='search' name='search'  class='modules_formfield'>
<xsl:attribute name='value'><xsl:value-of select="//PRODUCTLIST/SEARCH" /></xsl:attribute>
<xsl:attribute name='onkeypress'>document.forms[0].doSearch.value="0"; if (event.keyCode==13) {if (!isEmpty(document.forms[0].search.value)) {dc(1);document.forms[0].shop_topic.value="product_list";document.forms[0].doSearch.value="1";document.forms[0].submit();}}</xsl:attribute>
</input>
</td>
<td width="1%" style="padding-right:10px;">
<xsl:call-template name="drawButton">
<xsl:with-param name="caption" select='//LEGEND/SEARCH'/>
<xsl:with-param name="onClick">if (!isEmpty(document.forms[0].search.value)) { dc(1);document.forms[0].shop_topic.value="product_list";document.forms[0].doSearch.value="1";document.forms[0].noSearch.value="0";document.forms[0].submit();}</xsl:with-param>
</xsl:call-template>
</td>
<td width="1%">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="product_list";document.forms[0].doSearch.value="1";document.forms[0].search.value="";document.forms[0].search_in.value="all";document.forms[0].noSearch.value="0";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//PRODUCTLIST/LEGEND/SHOWALLPRODUCTS'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
<xsl:if test="//PRODUCTLIST/DOSEARCH!='' and //PRODUCTLIST/NOSEARCH!='1' and string(//PRODUCTLIST/SEARCH)!=''">
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<tr><td><span class="strong"><xsl:value-of select="//PRODUCTLIST/LEGEND/SEARCH_RESULT" />:&#160;</span>
<xsl:if test="//PRODUCTLIST/PRODUCTAMOUNT/@VALUE = 0"><xsl:value-of select="//PRODUCTLIST/LEGEND/NOPRODUCTS" /></xsl:if>
<xsl:if test="//PRODUCTLIST/TOTAL > 0"><xsl:value-of select="//PRODUCTLIST/LEGEND/FOUND"/>&#160;<span class="strong"><xsl:value-of select="//PRODUCTLIST/TOTAL"/></span>&#160;<xsl:value-of select="//PRODUCTLIST/LEGEND/ITEMS"/></xsl:if>
</td></tr>
</xsl:if>
<tr><td width="100%" height="10"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="10" border="0"/></td></tr>
<xsl:if test="//PRODUCTLIST/PRODUCTAMOUNT/@VALUE > 0">
<tr>
<td width="100%">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tbody>
<tr>
<td class="Shop_Style_formfieldcolorfirst" style="width: 45%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="product_list";
document.forms[0].order_by.value="name";
<xsl:if test="//PRODUCTLIST/ORDER_BY='name'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//PRODUCTLIST/ORDER_BY='name'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//PRODUCTLIST/LEGEND/PRODUCTNAME"/>
<xsl:if test="//PRODUCTLIST/ORDER_BY='name'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 25%;">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="product_list";
document.forms[0].order_by.value="category_name";
<xsl:if test="//PRODUCTLIST/ORDER_BY='category_name'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_BY='category_name'"><xsl:if test="//PRODUCTLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if><xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if><xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if></xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//PRODUCTLIST/ORDER_BY='category_name'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//PRODUCTLIST/LEGEND/CATEGORY"/>
<xsl:if test="//PRODUCTLIST/ORDER_BY='category_name'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%; padding-right:10px;" align="right">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="product_list";
document.forms[0].order_by.value="price";
<xsl:if test="//PRODUCTLIST/ORDER_BY='price'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//PRODUCTLIST/ORDER_BY='price'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//LEGEND/PRODUCTPRICE"/>
<xsl:if test="//PRODUCTLIST/ORDER_BY='price'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 15%; padding-right: 5px;" align="center" nowrap="nowrap">
<a>
<xsl:attribute name='onclick'>
dc(1);
document.forms[0].shop_topic.value="product_list";
document.forms[0].order_by.value="image_id";
<xsl:if test="//PRODUCTLIST/ORDER_BY='image_id'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION=''">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'">document.forms[0].order_direction.value="desc";</xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'">document.forms[0].order_direction.value="asc";</xsl:if>
</xsl:if>
document.forms[0].submit();
</xsl:attribute>
<xsl:attribute name="title">
<xsl:if test="//PRODUCTLIST/ORDER_BY='image_id'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:if>
</xsl:if>
</xsl:attribute>
<xsl:value-of select="//LEGEND/ISPRODUCTIMAGE"/>
<xsl:if test="//PRODUCTLIST/ORDER_BY='image_id'">
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='asc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_down.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_DESCENDING_ORDER"/></xsl:attribute></img></xsl:if>
<xsl:if test="//PRODUCTLIST/ORDER_DIRECTION='desc'"><img align="texttop" vspace="3" hspace="5" border="0" src="{$baseURL}/modules/{$SB_modules}/images/dlg_sort_up.gif" width="8" height="8"><xsl:attribute name="alt"><xsl:value-of select="//LEGEND/SORT_IN_ASCENDING_ORDER"/></xsl:attribute></img></xsl:if>
</xsl:if>
</a>
</td>
<td class="Shop_Style_formfieldcolorfirst" style="width: 10%;" align="right">
<xsl:choose>
<xsl:when test="//PRODUCTLIST/PRODUCTAMOUNT/@VALUE > 0">
<input type="checkbox" class="SB_Style_checkbox" name="" value="" tabIndex="1" onClick="doSelectProducts(this)" />
</xsl:when>
<xsl:otherwise>&#160;</xsl:otherwise>
</xsl:choose>
</td>
</tr>
<xsl:for-each select="//PRODUCTLIST/PRODUCT">
<tr>
<xsl:choose>
<xsl:when test="position() mod 2">
<xsl:attribute name="class">tr_even</xsl:attribute>
</xsl:when>
<xsl:otherwise>
<xsl:attribute name="class">tr_odd</xsl:attribute>
</xsl:otherwise>
</xsl:choose>
<td style="padding-right:10px;">
<a href="javascript:void(1)" class="SB_Style_formtitle">
<xsl:attribute name = "onclick">dc(1);document.forms[0].shop_topic.value="product_edit";document.forms[0].edit_product_id.value="<xsl:value-of select='@ID'/>";document.forms[0].submit();return false;</xsl:attribute>
<xsl:value-of select='@NAME'/>
</a>
</td>
<td>
<xsl:value-of select='CATEGORY'/>
</td>
<td align="right" nowrap="nowrap" style="padding-right:10px;">
<xsl:value-of select='PRICE'/>
</td>
<td align="center" style="padding-right: 5px;">
<xsl:if test="ISIMAGE=1">
<a href="javascript:void(1)">
<xsl:attribute name="onclick">openImagePreview('<xsl:value-of select='IMAGE'/>', '<xsl:value-of select='IMAGE/@WIDTH'/>', '<xsl:value-of select='IMAGE/@HEIGHT'/>');return false;</xsl:attribute>
<img border="0" src="{$baseURL}/modules/{$SB_modules}/images/preview.gif"/>
</a>
</xsl:if>&#160;
</td>
<td align="right">
<input type="checkbox" id="check_products" name="check_products[]" class="SB_Style_checkbox">
<xsl:attribute name='value'><xsl:value-of select='@ID'/></xsl:attribute>
</input>
</td>
</tr>
</xsl:for-each>
</tbody>
</table>
</td>
</tr>
</xsl:if>
</xsl:if>
<xsl:if test="//PRODUCTLIST/PRODUCTAMOUNT/@VALUE = 0 and string(//PRODUCTLIST/SEARCH)=''">
<tr><td style="padding-bottom:5px;"><span class="strong"><xsl:value-of select='//PRODUCTLIST/LEGEND/NOPRODUCTS'/></span></td></tr>
</xsl:if>
<tr>
<td>
<table border="0" width="100%"  class="buttonTable" cellpadding="0" cellspacing="0">
<tr>
<td widht="1%"><xsl:apply-templates select="//PRODUCTLIST/PAGE-STRIP"/></td>
<td align="right" width="99%">
<table  cellpadding="0" cellspacing="0" border="0">
<tr>
<td>
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="product_add";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//PRODUCTLIST/LEGEND/INSERTPRODUCT'/>
</xsl:call-template>
</td>
<xsl:if test="//PRODUCTLIST/PRODUCTAMOUNT/@VALUE > 0">
<td width="10px">
</td>
<td align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">deleteProducts();</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/DELETEPRODUCT'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</xsl:if>
<xsl:if test="//PRODUCTLIST/IMAGEAMOUNT/@VALUE > 0">
<td width="10px">
</td>
<td align="left">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">deleteImages();</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/DELETEIMAGES'/>
<xsl:with-param name="style" select='SB_Style_menu_disabled'/>
</xsl:call-template>
</td>
</xsl:if>
</tr>
</table>
</td>
</tr>
</table>

</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('product_area');
	ResizeShop(iframedoc)
</script>

</xsl:template>

<xsl:template match="PRODUCTEDIT_T">
<div id="product_area" name="m_shop_div" style="height:100%;background-color: #ffffff; width:100%; overflow-y: auto; overflow-x: auto; overflow: auto; ">
<table cellspacing='0' cellpadding='0' width="100%" border="0">
<tr>
<td>
<div style="height: 232px; overflow: auto;" id="product_edit_area">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr>
<td width="70%" valign="top">
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//PRODUCTLIST/LEGEND/PRODUCTCATEGORY"/>:<span class="red">*</span></td></tr>
<tr><td>
<select type='text' name='category_id' style="width: 100%;" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:for-each select="//CATEGORYLIST/CATEGORY">
<option>
<xsl:attribute name='value'><xsl:value-of select="@ID"/></xsl:attribute>
<xsl:if test="//PRODUCTLIST/EDITPRODUCT/CATEGORY_ID = @ID">
<xsl:attribute name='selected'>1</xsl:attribute>
</xsl:if>
<xsl:value-of select="@NAME"/>
</option>
</xsl:for-each>
</select>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//PRODUCTLIST/LEGEND/CATEGORY_DESCR"/>
</td>
</tr>

<tr>
<td>
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PRODUCTNAME"/><span class="red">*</span>:</td></tr>
<tr><td>
<input type='text' name='product_name' style="width: 100%;" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="255">
<xsl:attribute name='value'><xsl:value-of select="//PRODUCTLIST/EDITPRODUCT/@NAME" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//PRODUCTLIST/LEGEND/PRODUCTNAME_DESCR"/>
</td>
</tr>

<tr>
<td>
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PRODUCTPRICE"/><span class="red">*</span></td></tr>
<tr><td>
<input type='text' name='product_price' class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;" maxlength="15">
<xsl:attribute name='value'><xsl:value-of select="//PRODUCTLIST/EDITPRODUCT/PRICE" /></xsl:attribute>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//PRODUCTLIST/LEGEND/PRODUCTPRICE_DESCR"/>
</td>
</tr>

<tr>
<td>
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PRODUCTIMAGE"/>:</td></tr>
<tr><td>
<input type='file' name='product_image' style="width: 100%;" class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:if test="//BROWSER/@NAME='Gecko'"><xsl:attribute name='size'>72</xsl:attribute></xsl:if>
</input>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//PRODUCTLIST/LEGEND/PRODUCTIMAGE_DESCR"/>
</td>
</tr>

<tr>
<td>
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PRODUCTBRIEFDESCRIPTION"/>:</td></tr>
<tr><td>
<textarea name='product_briefdescription' class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name="style">height: 43px; width: 100%;</xsl:attribute>
<xsl:value-of select="//PRODUCTLIST/EDITPRODUCT/BRIEFDESCRIPTION" />
</textarea>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//PRODUCTLIST/LEGEND/PRODUCTBRIEFDESCRIPTION_DESCR"/>
</td>
</tr>

<tr>
<td>
<table width='100%' cellspacing='0' cellpadding='0' border='0'>
<tr><td nowrap='true' width='1%' class='modules_design_text'><xsl:value-of select="//LEGEND/PRODUCTDESCRIPTION"/>:</td></tr>
<tr><td>
<textarea name='product_description' class='modules_formfield' onchange="document.forms[0].sb_changes.value=1;">
<xsl:attribute name="style">height: 43px; width: 100%;</xsl:attribute>
<xsl:value-of select="//PRODUCTLIST/EDITPRODUCT/DESCRIPTION" />
</textarea>
</td>
</tr>
</table>
</td>
<td valign='middle' style="padding-left: 10px;padding-top:8px;height:95%"><img border="0" src='{$baseURL}/skins/{$sb_skin}/images/blue.gif' width='5' style="height:100%"/></td>
<td class="modules_genpages" style="padding-left: 10px;padding-top:8px;" valign="top">
<xsl:value-of select="//PRODUCTLIST/LEGEND/PRODUCTDESCRIPTION_DESCR"/>
</td>
</tr>

</table>
</div>
</td>
</tr>
<tr><td width="100%" height="16"><img src="{$baseURL}/modules/{$SB_modules}/images/empty.gif" width="1" height="16" border="0"/></td></tr>
<tr>
<td align="right">
<table  cellspacing='0' cellpadding='0'  width="100%" class="buttonTable" border='0'>
<tr>
<td width="20%">
<span class="red">*</span> - <xsl:value-of select="//PRODUCTLIST/LEGEND/REQUIRED_FIELDS"/>
</td>
<td align="right" width="80%">
<table cellspacing='0' cellpadding='0'>
<tr>
<td  valign="bottom">
<xsl:choose>
<xsl:when test="//PRODUCTLIST/@MODE='edit'">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkProduct(document.forms[0])) {dc(1);document.forms[0].frame_type.value="products";document.forms[0].shop_topic.value="product_list";document.forms[0].edit_product_id.value="<xsl:value-of select="//PRODUCTLIST/EDITPRODUCT/@ID" />";document.forms[0].submit();}</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/APPLY'/>
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">if (checkProduct(document.forms[0])) {dc(1);document.forms[0].frame_type.value="products";document.forms[0].shop_topic.value="product_list";document.forms[0].submit();}</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/APPLY'/>
</xsl:call-template>
</xsl:otherwise>
</xsl:choose>
</td>
<td width="10px">
</td>
<td align="left" valign="bottom">
<xsl:call-template name="drawButton">
<xsl:with-param name="onClick">dc(1);document.forms[0].shop_topic.value="product_list";document.forms[0].submit();</xsl:with-param>
<xsl:with-param name="caption" select='//LEGEND/CANCEL'/>
</xsl:call-template>
</td>
</tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
</table>
</div>
<script type="text/javascript" language="javascript">
	var	iframedoc =	document.getElementById('product_area');
	ResizeShop(iframedoc)
	var	edit_iframedoc =	document.getElementById('product_edit_area');
	ResizeProductEdit(edit_iframedoc)
</script>

</xsl:template>
</xsl:stylesheet>